Bug 1797268 - engauge-digitizer should not Require qgnomeplatform
Summary: engauge-digitizer should not Require qgnomeplatform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: engauge-digitizer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2020-02-02 02:09 UTC by Kevin Kofler
Modified: 2020-02-18 02:35 UTC (History)
1 user (show)

Fixed In Version: engauge-digitizer-12.1-4.fc31 engauge-digitizer-12.1-4.fc30 engauge-digitizer-12.1-4.el8 engauge-digitizer-12.1-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-11 01:13:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Kofler 2020-02-02 02:09:12 UTC
Description of problem:
engauge-digitizer has an unconditional:
Requires: qgnomeplatform%{?_isa}
This is not appropriate. qgnomeplatform is not needed on any desktop other than GNOME. It is not the job of Qt applications to drag this package in by dependencies, many other Qt applications do not have such a Requires.

Version-Release number of selected component (if applicable):
engauge-digitizer-12.1-3.fc32 and older

How reproducible:
Always

Steps to Reproduce:
1. Install engauge-digitizer on a non-GNOME system (e.g., the Fedora KDE Plasma Spin).

Actual results:
Drags in qgnomeplatform and adwaita-qt5.

Expected results:
Does not drag in packages required only on GNOME.

Additional info:
Please simply remove this bogus Requires.

Comment 1 Fedora Update System 2020-02-02 10:42:46 UTC
FEDORA-EPEL-2020-db5b399459 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-db5b399459

Comment 2 Fedora Update System 2020-02-02 10:42:47 UTC
FEDORA-2020-31801947e5 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-31801947e5

Comment 3 Fedora Update System 2020-02-02 10:42:49 UTC
FEDORA-2020-090bf63217 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-090bf63217

Comment 4 Fedora Update System 2020-02-03 01:50:38 UTC
engauge-digitizer-12.1-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-31801947e5

Comment 5 Fedora Update System 2020-02-03 02:02:00 UTC
engauge-digitizer-12.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c2b0596df4

Comment 6 Fedora Update System 2020-02-03 02:02:46 UTC
engauge-digitizer-12.1-4.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-db5b399459

Comment 7 Fedora Update System 2020-02-03 02:15:31 UTC
engauge-digitizer-12.1-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-090bf63217

Comment 8 Fedora Update System 2020-02-11 01:13:35 UTC
engauge-digitizer-12.1-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-02-11 02:06:55 UTC
engauge-digitizer-12.1-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-02-18 02:32:54 UTC
engauge-digitizer-12.1-4.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-02-18 02:35:56 UTC
engauge-digitizer-12.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.